| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Classes | Functions
reddav.php File Reference

## Classes
class | RedDirectory
class | RedFile
class | RedBasicAuth
class | RedBrowser

## Functions
| RedChannelList (&$auth)
| RedCollectionData ($file, &$auth)
| RedFileData ($file, &$auth, $test=false)

## Function Documentation

RedChannelList | ( | & | $auth | ) |

Referenced by RedCollectionData().

RedCollectionData | ( |  | $file,
|  | & | $auth
| ) |  |

Referenced by RedDirectory\getChildren().

RedFileData | ( |  | $file,
|  | & | $auth,
|  |  | $test = `false`
| ) |  |

Referenced by RedDirectory\childExists(), and RedDirectory\getChild().